package io.renren.modules.app.controller;

import io.renren.common.utils.HttpRequestUtil;
import io.renren.modules.app.service.SmsCodeService;
import io.renren.common.utils.ConfigConstant;

import java.net.URLEncoder;
import java.util.UUID;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("app/smscode")
public class SmsTestController {
	@Autowired
    private SmsCodeService smsCodeService;
    
    /**
	 * 短信发送(验证码通知，会员营销)
	 * 接口文档地址：http://www.miaodiyun.com/doc/https_sms.html
	 */
	@PostMapping("/test")
	public String execute() throws Exception{
		String uuid = UUID.randomUUID().toString();
		String phone = "17611467373";
		String code = smsCodeService.getCode(uuid, phone);
		StringBuilder sb = new StringBuilder();
		sb.append("accountSid").append("=").append(ConfigConstant.ACCOUNT_SID);
		sb.append("&to").append("=").append(phone);
		sb.append("&param").append("=").append(URLEncoder.encode(code + "," + ConfigConstant.EXPIRE_TIME,"UTF-8"));
		sb.append("&templateid").append("=").append("206770");
		String body = sb.toString() + HttpRequestUtil.createCommonParam(ConfigConstant.ACCOUNT_SID, ConfigConstant.AUTH_TOKEN);
		String result = HttpRequestUtil.post(ConfigConstant.BASE_URL, body);
		System.out.println(result);
		return result;
	}
}